Subject: Ticket Assigned - Click & Collect
From: Max <[email-masked]>
To: [email-masked]
Date: Tue, 04 May 2021 10:08:18 +0000

Hi Juhi Goel,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Click & Collect Order Details :9653795556
Order placed: 22 April 2021
Subject: Not delivered yet

I ordered from max online with payment of tabby and now  more than 10 days my order still in processing stage , why it’s taking many days it’s first time bad experience from max , 
As a regular customer I don’t want to continue any service with landmark in future, because even customer service doesn’t help me in this situation . I called many times and no use 
Please take this matter seriously and solve my issues for to keep good customer relations 
Thanks https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2505405